# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "anvilforge-broadcast"
version = "0.1.0"
authors = ["Anvilforge contributors"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Reverb — Anvilforge's websocket server with Pusher-compatible wire protocol."
homepage = "https://github.com/anvilforge/anvilforge"
readme = "README.md"
keywords = [
    "websocket",
    "broadcast",
    "pusher",
    "anvilforge",
    "reverb",
]
categories = [
    "web-programming::websocket",
    "web-programming",
]
license = "MIT"
repository = "https://github.com/anvilforge/anvilforge"

[lib]
name = "reverb"
path = "src/lib.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.axum]
version = "0.7"
features = [
    "macros",
    "ws",
    "multipart",
]

[dependencies.base64]
version = "0.22"

[dependencies.futures]
version = "0.3"

[dependencies.hmac]
version = "0.12"

[dependencies.indexmap]
version = "2.6"
features = ["serde"]

[dependencies.parking_lot]
version = "0.12"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sha2]
version = "0.10"

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1.40"
features = ["full"]

[dependencies.tower]
version = "0.5"
features = ["util"]

[dependencies.tracing]
version = "0.1"

[dependencies.uuid]
version = "1.10"
features = [
    "v4",
    "v7",
    "serde",
]
